RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Entity.Playground Class Reference

## Public Member Functions
| Playground ()
| Playground (String _name, int _number, Discipline _discipline)
long | getID ()
String | getName ()
int | getNumber ()
long | getDisciplineID ()
String | getDisciplineName ()
List< RobotMatch > | getMatches ()
void | setName (String _name)
void | setNumber (int _number)
void | setDiscipline (Discipline _discipline)

## Detailed Description

Hriste, na kterem roboti uskutecnuji zapasy mezi sebou

## Constructor & Destructor Documentation

## ◆ Playground() [1/2]

com.robogames.RoboCupMS.Entity.Playground.Playground | ( |  | ) |
| inline

Vytvori soutezni hriste. V systemu urcitovani poradi pro jednoznacne urceni konani mista zapasu.

## ◆ Playground() [2/2]

com.robogames.RoboCupMS.Entity.Playground.Playground | ( | String | _name,
|  | int | _number,
|  | Discipline | _discipline
| ) |  |
| inline

Vytvori soutezni hriste. V systemu urcitovani poradi pro jednoznacne urceni konani mista zapasu.

Parameters

  _name | Jmeno hriste
  _number | Cislo hriste
  _discipline | Disciplina, pro kterou je hriste urcene

## Member Function Documentation

## ◆ getDisciplineID()

long com.robogames.RoboCupMS.Entity.Playground.getDisciplineID | ( |  | ) |
| inline

Navrati ID discipliny, pro kterou je toto hriste urcine

Returns
  ID discipliny

## ◆ getDisciplineName()

String com.robogames.RoboCupMS.Entity.Playground.getDisciplineName | ( |  | ) |
| inline

Navrati nazev discipliny, pro kterou je toto hriste urcine

Returns
  Nazev discipliny

## ◆ getID()

long com.robogames.RoboCupMS.Entity.Playground.getID | ( |  | ) |
| inline

Navrati ID hriste

Returns
  ID hriste

## ◆ getMatches()

List<RobotMatch> com.robogames.RoboCupMS.Entity.Playground.getMatches | ( |  | ) |
| inline

Navrati vsechny odehrane zapasy na tomto hristi

Returns
  Seznam zapasu

## ◆ getName()

String com.robogames.RoboCupMS.Entity.Playground.getName | ( |  | ) |
| inline

Navrati jmeno hriste

Returns
  Jmeno hriste

## ◆ getNumber()

int com.robogames.RoboCupMS.Entity.Playground.getNumber | ( |  | ) |
| inline

Navrati cislo hriste

Returns
  Cislo hriste

## ◆ setDiscipline()

void com.robogames.RoboCupMS.Entity.Playground.setDiscipline | ( | Discipline | _discipline | ) |
| inline

Nastavi disciplinu hriste

Parameters

  _discipline | Disciplina

## ◆ setName()

void com.robogames.RoboCupMS.Entity.Playground.setName | ( | String | _name | ) |
| inline

Nastavi nove jmeno hriste

Parameters

  _name | Nove jmeno hriste

## ◆ setNumber()

void com.robogames.RoboCupMS.Entity.Playground.setNumber | ( | int | _number | ) |
| inline

Nastavi nove cislo hriste

Parameters

  _number | Nove cislo hriste

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/Playground.java